### 5.1.9 cleardenom

`Syntax:`
  `cleardenom (` poly_expression `)`
  `cleardenom (` vector_expression `)`
`Type:`
  same as the input type
`Purpose:`
  multiplies a polynomial, resp. vector, by a suitable constant to cancel all denominators from its coefficients and then divide it by its content.
`Example:`

        ring r=0,(x,y,z),dp;
        poly f=(3x+6y)^5;
        f/5;
      ==> 243/5x5+486x4y+1944x3y2+3888x2y3+3888xy4+7776/5y5
        cleardenom(f/5);
      ==> x5+10x4y+40x3y2+80x2y3+80xy4+32y5
        vector w= [4x2+20,6x+2,0,8];   // application to a vector
        print(cleardenom(w));
      ==> [2x2+10,3x+1,0,4]

See content.

User manual for Singular version 4.4.1, 2025, generated by texi2html.